<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getHackingLevelRequirementOfProgram](./bitburner.singularity.gethackinglevelrequirementofprogram.md)

## Singularity.getHackingLevelRequirementOfProgram() method

Get the hacking level requirement of a program.

**Signature:**

```typescript
getHackingLevelRequirementOfProgram(programName: ProgramName): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

programName


</td><td>

[ProgramName](./bitburner.programname.md)


</td><td>

Name of program to create.


</td></tr>
</tbody></table>

**Returns:**

number

Hacking level requirement. Return Infinity if the specified program cannot be created.

## Remarks

RAM cost: 5 GB \* 16/4/1

In order to create a program via UI or [createProgram](./bitburner.singularity.createprogram.md)<!-- -->, your hacking level must meet the requirement of that program. This API returns that value.

